DerivedValue (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class DerivedValue

    java.lang.Object
      org.hibernate.metamodel.relational.AbstractSimpleValue
          org.hibernate.metamodel.relational.DerivedValue

All Implemented Interfaces:
  SimpleValue, Value

    public class DerivedValue

extends AbstractSimpleValue

Models a value expression. It is the result of a `formula` mapping.

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.metamodel.relational.Value
`Value.JdbcCodes`

Constructor Summary
`DerivedValue(TableSpecification table, int position, String expression)`

Method Summary
`String` | `getAlias(Dialect dialect)` For any column name, generate an alias that is unique to that column name, unique across tables, and within alias size constraints determined by `Dialect.getMaxAliasLength()`.
`String` | `getExpression()` Get the value expression.
`String` | `toLoggableString()` Obtain the string representation of this value usable in log statements.

Methods inherited from class org.hibernate.metamodel.relational.AbstractSimpleValue
`getDatatype, getPosition, getTable, setDatatype, validateJdbcTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerivedValue

    public DerivedValue(TableSpecification table,
                        int position,
                        String expression)

Method Detail

### toLoggableString

    public String toLoggableString()

  Obtain the string representation of this value usable in log statements.

  Returns:
    The loggable representation

### getAlias

    public String getAlias(Dialect dialect)

  For any column name, generate an alias that is unique to that column name, unique across tables, and within alias size constraints determined by `Dialect.getMaxAliasLength()`.

  Parameters:
    `dialect` - the dialect.
  Returns:
    the alias.

### getExpression

    public String getExpression()

  Get the value expression.

  Returns:
    the value expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.